<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Generators::GeneratorWrapper&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li><li class="navelem"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1Generators_1_1GeneratorWrapper-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Generators::GeneratorWrapper&lt; T &gt; Class Template Reference<span class="mlabels"><span class="mlabel">final</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aecffeafd4fd38d91a52dadf28b6e2b29"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html#aecffeafd4fd38d91a52dadf28b6e2b29">GeneratorWrapper</a> (std::unique_ptr&lt; <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a>&lt; T &gt;&gt; generator)</td></tr>
<tr class="separator:aecffeafd4fd38d91a52dadf28b6e2b29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a271f0f905f2c473c907550435b81e102"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html#a271f0f905f2c473c907550435b81e102">get</a> () const</td></tr>
<tr class="separator:a271f0f905f2c473c907550435b81e102"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbfdca94811ae02461bd2cf5f60b666e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html#acbfdca94811ae02461bd2cf5f60b666e">next</a> ()</td></tr>
<tr class="separator:acbfdca94811ae02461bd2cf5f60b666e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecffeafd4fd38d91a52dadf28b6e2b29"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html#aecffeafd4fd38d91a52dadf28b6e2b29">GeneratorWrapper</a> (std::unique_ptr&lt; <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a>&lt; T &gt;&gt; generator)</td></tr>
<tr class="separator:aecffeafd4fd38d91a52dadf28b6e2b29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a271f0f905f2c473c907550435b81e102"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html#a271f0f905f2c473c907550435b81e102">get</a> () const</td></tr>
<tr class="separator:a271f0f905f2c473c907550435b81e102"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbfdca94811ae02461bd2cf5f60b666e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html#acbfdca94811ae02461bd2cf5f60b666e">next</a> ()</td></tr>
<tr class="separator:acbfdca94811ae02461bd2cf5f60b666e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:afb950427604ca6d43414262b451fa7d6"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html#afb950427604ca6d43414262b451fa7d6">m_generator</a></td></tr>
<tr class="separator:afb950427604ca6d43414262b451fa7d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aecffeafd4fd38d91a52dadf28b6e2b29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecffeafd4fd38d91a52dadf28b6e2b29">&#9670;&nbsp;</a></span>GeneratorWrapper() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">Catch::Generators::GeneratorWrapper</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a> </td>
          <td>(</td>
          <td class="paramtype">std::unique_ptr&lt; <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a>&lt; T &gt;&gt;&#160;</td>
          <td class="paramname"><em>generator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aecffeafd4fd38d91a52dadf28b6e2b29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecffeafd4fd38d91a52dadf28b6e2b29">&#9670;&nbsp;</a></span>GeneratorWrapper() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">Catch::Generators::GeneratorWrapper</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a> </td>
          <td>(</td>
          <td class="paramtype">std::unique_ptr&lt; <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a>&lt; T &gt;&gt;&#160;</td>
          <td class="paramname"><em>generator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a271f0f905f2c473c907550435b81e102"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a271f0f905f2c473c907550435b81e102">&#9670;&nbsp;</a></span>get() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">Catch::Generators::GeneratorWrapper</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a271f0f905f2c473c907550435b81e102"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a271f0f905f2c473c907550435b81e102">&#9670;&nbsp;</a></span>get() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">Catch::Generators::GeneratorWrapper</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acbfdca94811ae02461bd2cf5f60b666e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbfdca94811ae02461bd2cf5f60b666e">&#9670;&nbsp;</a></span>next() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">Catch::Generators::GeneratorWrapper</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acbfdca94811ae02461bd2cf5f60b666e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbfdca94811ae02461bd2cf5f60b666e">&#9670;&nbsp;</a></span>next() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">Catch::Generators::GeneratorWrapper</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afb950427604ca6d43414262b451fa7d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb950427604ca6d43414262b451fa7d6">&#9670;&nbsp;</a></span>m_generator</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt; <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a>&lt; T &gt; &gt; <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">Catch::Generators::GeneratorWrapper</a>&lt; T &gt;::m_generator</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
